using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Runtime.InteropServices;

namespace GetSerialNumber
{
	public partial class Form1 : Form
	{
		[DllImport("Externapi.dll")]
        private static extern bool GetSerialNumber( char[] pSerialNumber, Int32 OutputBufferSize, Int32 Index);

        /*
         * BOOL GetSerialNumber(TCHAR*, DWORD, DWORD);
         * pSerialNumber        Pointer of a array that declare by upper layer application.
         *                      The defined array contains 8 elements when Index = 0.
         *                      The defined array contains 10 elements when Index = 1.
         * OutputBufferSize     Size of pSerialNumber array.
         *                      Must be 8 when Index = 0.
         *                      Must be 10 when Index = 1.
         * Index                Zero based index of the SerialNumber which should be returned.
         * 
         */

        public Form1()
		{
			InitializeComponent();
		}

		private void btSerial_Click( object sender, EventArgs e )
		{
			char[] SerNr1 = new char[8];
            char[] SerNr2 = new char[10];

            //read serial number 1
            GetSerialNumber(SerNr1, (byte)8, 0);
            //read serial number 2
            GetSerialNumber(SerNr2, (byte)10, 1);

            string sN1 = new string( SerNr1 );
            string sN2 = new string( SerNr2 );

            MessageBox.Show(    "serialnumber 1:\r\n" + 
                                sN1 +
                                "\r\n\r\nserialnumber 2:\r\n" +
                                sN2 );
		}

		private void btClose_Click( object sender, EventArgs e )
		{
			this.Close();
		}
	}
}