using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Runtime.InteropServices;

namespace GetSerialNumber
{
	public partial class Form1 : Form
	{
		[DllImport("Externapi.dll")]
		private static extern bool GetSerialNumber(byte[] OutputBuffer, Int32 OutputBufferSize);
		//BOOL GetSerialNumber(BYTE* pSerialNumber, BYTE Size)
		//pSerialNumber  Pointer of a array that declare by upper layer application. The defined array contains 8 elements and element type is BYTE.
		//Size           Size of pSerialNumber array. Must be 8.
		
		public Form1()
		{
			InitializeComponent();
		}

		private void btSerial_Click( object sender, EventArgs e )
		{
			byte[] bSerialNumber = new byte[8];
			if( GetSerialNumber( bSerialNumber, (byte)8 ) )
			{
				string sSerialNumber = "";
				
				for( int i = 0; i < 8; i ++ )
				{
					sSerialNumber += (char)bSerialNumber[i];
				}
				
				MessageBox.Show( "serialnumber: " + sSerialNumber );
			
			}
			else
				MessageBox.Show( "error!" );
		}

		private void btClose_Click( object sender, EventArgs e )
		{
			this.Close();
		}
	}
}