using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace GuiTestApi
{
    static class Program
    {
        
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [MTAThread]
        static void Main()
        {
            AppDomain.CurrentDomain.UnhandledException +=new UnhandledExceptionEventHandler(CurrentDomain_UnhandledException);
            Application.Run(new ID_MAIN_FORM());
 
        }

        static void CurrentDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e)
        {
            Exception ex = e.ExceptionObject as Exception;

            if (ex != null)
            {
                RFID.Logging.Log.Write("An unexcpected exception occurred which was not handled, details: " + ex.Message, RFID.Logging.Log.LogType.Exception);
            }
        }
    }
}