        /// <summary>
		/// Nautiz X7: enable/disable camera key
		/// </summary>
		/// <param name="bActivate">true = enable, false = disable</param>
		public void ActivateCameraOnNautizX7( bool bActivate )
		{
			//Registry setting to enable camera key:
			//"CameraEnabled"=dword:1

			//Registry setting to disable camera key:
			//"CameraEnabled"=dword:0
			
			object val = 0;
			
			if( bActivate )
				val = 1;
			else
				val = 0;
						
			try
			{	
				RegistryKey regkey;
				regkey = Registry.CurrentUser.OpenSubKey( "\\Security\\Software\\Getac\\CamFunc", true );
				regkey.SetValue( "CameraEnabled", val, RegistryValueKind.DWord );
				regkey.Close();
			}
			
			catch( Exception )
			{
				
			}
		}
